Method: sslCertificates.fetchEncryptionKey

API Version : 2026-10-01-preview

Returns the public encryption key used to encrypt the TLS private key before upload.

HTTP request


GET https://compute.googleapis.com/compute/v1/projects/{project}/global/sslCertificates/encryptionKey?$apiVersion=2026-10-01-preview

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

Request body

The request body must be empty.

Response body

Response for SslCertificatesService.FetchEncryptionKey and RegionSslCertificatesService.FetchEncryptionKey methods.

If successful, the response body contains data with the following structure:

JSON representation
{
  "publicKeyset": string
}
Fields
publicKeyset

string

The Tink public keyset serialized in JSON format.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/compute.readonly

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.sslCertificates.create

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.